# std::match_results<BidirIt,Alloc>::suffix

From cppreference.com
< cpp‎ | regex‎ | match results

const_reference suffix() const; |  | (since C++11)

Obtains a reference to the std::sub_match object representing the target sequence between the end of the entire match of the regular expression and the end of the target sequence

The behavior is undefined unless ready() == true

### Parameters

(none)

### Return value

Reference to the unmatched suffix.

### Example

Run this code

    #include <iostream>
    #include <regex>
    #include <string>

    int main()
    {
        std::regex re("a(a)*b");
        std::string target("baaaby");
        std::smatch sm;

        std::regex_search(target, sm, re);
        std::cout << sm.suffix().str() << '\n';
    }

Output:

    y

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/regex/match_results/suffix&oldid=74266"